require 'ewel_palindrome/version'

# Returns true for palindrome, false otherwise
module EwelPalindrome
  def palindrome?
    if processed_content.empty?
      false
    else
    processed_content == processed_content.reverse
    end
  end

  private

  def processed_content
    to_s.scan(/[a-z0-9]/i).join.downcase
  end
end

class String
  include EwelPalindrome
end

class Integer
  include EwelPalindrome
end